Bug 1458273 - Not able to add Host parameters on multiple hosts in satellite.
Summary: Not able to add Host parameters on multiple hosts in satellite.
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Parameters
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Peter Ondrejka
URL:
Whiteboard:
: 1576459 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-02 12:29 UTC by monish
Modified: 2020-07-16 11:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
error screenshot (22.56 KB, image/png)
2017-06-02 12:29 UTC, monish
no flags Details

Description monish 2017-06-02 12:29:46 UTC
Created attachment 1284433 [details]
error screenshot

Description of problem:

From the satellite hosts list I select one host, and then clicks "select action" / "edit parameters". If all the selected hosts have a parameter with the same name set, you get a text-box where you can type inn a new parameter value. 
This works great for all non-empty values. 
But not able to reset the value to an empty value. ("", nothing, null, empty string). 
You can easily do this on a single host, by editing it, selecting the tab called "parameters", and then remove all text in the value-field of the parameter - and save. But should be able to do this on multiple hosts at a time.

With "select action"/"edit parameters"for multiple selected hosts we are not able to change the parameters value with different Host parameters name.




Version-Release number of selected component (if applicable):

6.2.6

Not working on below environment also

6.2.8
6.2.9


How reproducible:

100%

Steps to Reproduce:

1.Go to hosts and the go to all hosts
2.Select multiple clients which is having the host parameters
3.Go to Select Action and select edit parameters
4."Edit Parameters - The following hosts are about to be changed" this window will get open.

5.Change the values in the text box (Doesn't understand which box belongs to which host)
6.After entering the values we get error ("Host not found Please try to update your request")


Actual results:

we get below error at satellite GUI

Host not found Please try to update your request


Expected results:

Seems its not working on all environments so results are not aware.

 output should be like "Success: Updated all hosts!"


Additional info:

The edit parameters window  should show host parameters name and value so that  it will be easy to change the value for respective host's parameter name.

Comment 2 orabin 2018-05-11 17:21:02 UTC
*** Bug 1576459 has been marked as a duplicate of this bug. ***

Comment 3 Bryan Kearney 2018-11-30 15:00:47 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Rich Jerrido or Bryan Kearney or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 4 Markus Schibli 2018-12-13 07:07:38 UTC
(In reply to Bryan Kearney from comment #3)
> The Satellite Team is attempting to provide an accurate backlog of bugzilla
> requests which we feel will be resolved in the next few releases. We do not
> believe this bugzilla will meet that criteria, and have plans to close it
> out in 1 month. This is not a reflection on the validity of the request, but
> a reflection of the many priorities for the product. If you have any
> concerns about this, feel free to contact Rich Jerrido or Bryan Kearney or
> your account team. If we do not hear from you, we will close this bug out.
> Thank you.

Hi Bryan,

I spoke with my customer about your approach to close this bugzilla without providing a solution for that issue. He was not "amused" about this, neither I do not understand why you won't fix this issue. This is a clear bug to us, which can be in daily business harmful. My customer insists and requested again a fix for that issue. Raiffeisen is the thrid largest bank in Switzerland and they are a loyal Red Hat customer and do a lot of business with us. So we really would appreciate if you can re-think about your decision to close this bug.

Thanks and regards
Markus

Comment 6 Bryan Kearney 2018-12-20 17:13:42 UTC
Discussed with Product Management, we will not close this out.


Note You need to log in before you can comment on or make changes to this bug.